#pragma once

#include "HwmSdkAgent.h"
// demoCustomSceneContentDlg 对话框

class demoCustomSceneContentDlg : public CDialogEx
{
	DECLARE_DYNAMIC(demoCustomSceneContentDlg)

public:
	demoCustomSceneContentDlg(CWnd* pParent = nullptr);   // 标准构造函数
	virtual ~demoCustomSceneContentDlg();

// 对话框数据
#ifdef AFX_DESIGN_TIME
	enum { IDD = IDD_CUSTOM_SCENE_CONTENT };
#endif

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV 支持
    virtual BOOL OnInitDialog();
	DECLARE_MESSAGE_MAP()
public:
    // 保存自定义场景文案
    afx_msg void OnBnClickedButtonCustomSceneContentStore();

private:
    CEdit m_editCN;    
    CEdit m_editEN;    
    CEdit m_editCU;
    CEdit m_editCUCode;
    CButton m_checkCN;
    CButton m_checkEN;
    CButton m_checkCU;

    CComboBox m_ccomboBoxScene;

    void GetCustomTextByLanguage(hwmsdkagent::HwmLanguage languageType, hwmsdkagent::HwmUICustomTextInfo& info);
    void GetAllCustomText(std::vector<hwmsdkagent::HwmUICustomTextInfo>& infos);
    void AssembleCustomSceneTextInfo(hwmsdkagent::HwmCustomSceneTextInfo& data);

public:
    afx_msg void OnBnClickedOk();
};
